play.data.binding

## Annotation Type As

    @Retention(value=RUNTIME)
     @Target(value={PARAMETER,FIELD,METHOD,TYPE})
    public @interface As

### Optional Element Summary

Optional Elements
`java.lang.Class<? extends TypeBinder<?>>` `binder`
`java.lang.String[]` `format`
`java.lang.String[]` `lang`
`java.lang.Class<? extends TypeUnbinder<?>>` `unbinder`
`java.lang.String[]` `value`

### Element Detail

#### value

    public abstract java.lang.String[] value

Default:
  ""

#### lang

    public abstract java.lang.String[] lang

Default:
  "*"

#### format

    public abstract java.lang.String[] format

Default:
  "html"

#### binder

    public abstract java.lang.Class<? extends TypeBinder<?>> binder

Default:
  play.data.binding.As.DEFAULT.class

#### unbinder

    public abstract java.lang.Class<? extends TypeUnbinder<?>> unbinder

Default:
  play.data.binding.As.DEFAULT.class